ISOs
List ISO Managers
GET /pxe/iso
List of ISO Managers
Response 200: List of ISO Managers
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
folder |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
status |
string |
Create ISO Manager
POST /pxe/iso
Add new ISO Manager
Request body
| Field | Type | Required | Description |
|---|---|---|---|
folder |
string | yes | |
name |
string | yes | |
url |
string | yes |
Response 200: An ISO Manager
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
folder |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
status |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
folder |
string | yes | |
name |
string | yes | |
url |
string | yes |
Response 422: Unprocessable Entity
Delete ISO Manager
DELETE /pxe/iso/{iso_manager_id}
Delete an ISO Manager
Response 200: ISO Manager deleted successfully
Response 404: Item not Found
View ISO Manager
GET /pxe/iso/{iso_manager_id}
An ISO Manager
Response 200: An ISO Manager
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
folder |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
status |
string |
Edit ISO Manager
PATCH /pxe/iso/{iso_manager_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
folder |
string | ||
name |
string | ||
url |
string |
Response 200: An ISO Manager
| Field | Type | Description |
|---|---|---|
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
folder |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string | |
status |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
folder |
string | ||
name |
string | ||
url |
string |
Response 422: Unprocessable Entity
List ISO Editions
GET /pxe/iso/{iso_manager_id}/edition
List of ISO Editions
Response 200: List of ISO Editions
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_enabled |
boolean | |
key |
string | |
name |
string |
View ISO Edition
GET /pxe/iso/{iso_manager_id}/edition/{edition_id}
An ISO Edition
Response 200: An ISO Edition
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_enabled |
boolean | |
key |
string | |
name |
string |
Edit ISO Edition
PATCH /pxe/iso/{iso_manager_id}/edition/{edition_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
is_enabled |
boolean | ||
license_key |
string |
Response 200: An ISO Edition
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_enabled |
boolean | |
key |
string | |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
is_enabled |
boolean | ||
license_key |
string |
Response 422: Unprocessable Entity